WG13 Issues - CIM Issues #5945
DCSwitch does not have open flag
Target version:
Base Release: 17v40 Version:

Solution to be CIM18v03 Clause:

Applied To:

Solution Version: CIM18v03 Sub-Clause:
Breaking Change Origination ID:

Description:

CIM Impacted WG13 Originally Assigned  Yang Feng

Groups: To:

Requestor:

Description

It is not clear how the status open/close is provided for DCSwitch as it has no attribute .open.

Proposed Solution

Add open (Boolean), normalOpen (Boolean).

Decision

Proposed solution accepted (9/19/2022 Hybrid Meeting)

Release Notes

The class DCSwitch is updated to include 4 attributes: open, normalOpen, locked, retained in order to match the modelling of teh AC

Switch.

History

#1 - 09/19/2022 02:14 PM - Eric Stephan

- Status changed from New to Open

#2 - 09/19/2022 02:26 PM - Eric Stephan

- Status changed from Open to Review

- Proposed Solution updated

- Decision updated

#3 - 09/22/2022 02:22 PM - Eric Stephan

- Status changed from Review to In Progress

#4 - 02/06/2023 02:43 PM - Chavdar Ivanov
- Status changed from In Progress to Closed
- Solution to be Applied To set to CIM18v03
- Solution Version set to CIM18v03

- Solution Applied By set to Chavdar Ilvanov
- Completion Date set to 02/06/2023
- Breaking Change set to No
- Originally Closed in Version set to CIM18

- Release Notes updated
